=== debian/changelog ===
glite-lb-server (2.3.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:59:44 +0200
