=== debian/control ===
Source: glite-lb-server
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libc-ares2, libclassad-dev, libclassad1, libcppunit-dev, libexpat1, libexpat1-dev, libglobus-gssapi-gsi-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, liblcas-dev, libtool, libxml2, libxml2-dev, voms-dev
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-server
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server
Description: gLite Logging and Bookkeeping server
 glite-lb-server is the gLite LB server. This package contains the LB server
 daemon (glite-lb-bkserverd) and a tool for rebuilding server indices
 (glite-lb-bkindex).

Package: glite-lb-server-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-server (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B server debugging symbols
 This package contains debugging symbols for gLite L&B server.
