## glite-lb-server 2.3.5

=== Makefile ===
--- 
+++ 
@@ -224,7 +224,9 @@
 
 HDRS=index.h lb_authz.h store.h
 
-MAN_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz glite-lb-mon-db.1.gz
+MAN1_GZ:=glite-lb-mon-db.1.gz
+MAN8_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz
+MAN_GZ:=$(MAN1_GZ) $(MAN8_GZ)
 MAN = $(MAN_GZ:.gz=)
 
 LIB_OBJS_BK:= \
@@ -330,9 +332,3 @@
 	ranlib $@
 
 ${LCAS_PLUGIN_LIB}: ${LCAS_PLUGIN_LOBJS}
-	${LINK} -o $@ $^
-
-doc: ${MAN_GZ}
-
-man: ${MAN_GZ}
-
