=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,10 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
+	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.la
+	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.a
+	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
