=== debian/changelog ===
glite-lb-server (2.3.6-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:29:32 +0200
