## glite-lb-server 2.4.3

=== Makefile ===
--- 
+++ 
@@ -19,14 +19,27 @@
 lcas_prefix=/opt/glite
 gridsite_prefix=/opt/glite
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
-default all: compile
+SOURCES=\
+	config/glite-lb-* config/my.cnf config/site-notif.conf config/startup \
+	doc/*.1 doc/*.8 \
+	interface/*.h \
+	src/*.c src/*.cpp src/*.h src/*.c.T src/*.l src/*.y src/*.sh src/ws_typemap.dat \
+	project/.post* project/.pre* \
+	test/*.cpp test/*.cpp.T test/*.sh test/oneJob.qry test/*.c \
+	LICENSE Makefile
+SOURCES_EXEC=config/startup src/*.sh test/*.sh
+
+all: compile
 
 GLITE_LB_SERVER_WITH_WS=yes
+GLITE_LB_SERVER_WITH_LCAS=no
 
 ifdef LB_STANDALONE
 	LB_STANDALONE_FLAGS:=-DLB_STANDALONE
@@ -79,10 +92,12 @@
 endif
 
 GRIDSITE_CFLAGS?=-I${gridsite_prefix}/include `xml2-config --cflags`
-GRIDSITE_LIBS?=-L${gridsite_prefix}/${libdir} -L${gridsite_prefix}/lib -lgridsite_globus `xml2-config --libs`
-
-LCAS_CFLAGS?=-I${lcas_prefix}/include -I${lcas_prefix}/include/glite/security
+GRIDSITE_LIBS?=-L${gridsite_prefix}/${libdir} -L${gridsite_prefix}/lib -lgridsite `xml2-config --libs`
+
+ifeq (${GLITE_LB_SERVER_WITH_LCAS},yes)
+LCAS_CFLAGS?=-I${lcas_prefix}/include -I${lcas_prefix}/include/glite/security -DHAVE_LCAS
 LCAS_LIBS?=-L${lcas_prefix}/${libdir} -llcas
+endif
 
 ifneq (${classads_prefix},/usr)
 	classads_libs := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib
@@ -111,6 +126,7 @@
 EXPAT_LIBS?=-L${expat_prefix}/${libdir} -lexpat
 endif
 GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}
+KERBEROS_GSSAPI_GSI_CFLAGS=-DNO_GLOBUS_GSSAPI
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
 CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include
@@ -118,8 +134,18 @@
 VOMS_CFLAGS?=-I${voms_prefix}/include -I${voms_prefix}/include/glite/security
 VOMS_LIBS?=-L${voms_prefix}/${libdir} -lvomsapi${vomsflavour}
 
-CFLAGS:= ${CFLAGS} \
-	${GLOBUS_GSSAPI_GSI_CFLAGS} \
+GLITE_LBJP_COMMON_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss glite-security-gsoap-plugin --cflags`
+
+ifeq ($(gssapi_provider), kerberos)
+GSSAPI_GSI_CFLAGS=${KERBEROS_GSSAPI_GSI_CFLAGS}
+VOMS_LIBS=
+VOMS_CFLAGS=
+else
+GSSAPI_GSI_CFLAGS=${GLOBUS_GSSAPI_GSI_CFLAGS}
+endif
+
+CFLAGS:= \
+	${GSSAPI_GSI_CFLAGS} \
 	${WS_CFLAGS} ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	 ${GSOAP_CFLAGS} \
@@ -131,7 +157,8 @@
 	${VOMS_CFLAGS} \
 	${COVERAGE_FLAGS} \
 	$(GRIDSITE_CFLAGS) ${LCAS_CFLAGS} ${GSOAP_CFLAGS} \
-	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB
+	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB \
+	${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
 
 CXXFLAGS:=${CFLAGS}
 
@@ -168,9 +195,14 @@
 EXT_LIBS:=  \
 	${GRIDSITE_LIBS} \
 	${CLASSADS_LIBS} \
-	${LIBCARES_LIBS} \
+	${LIBCARES_LIBS} 
+
+ifeq ($(gssapi_provider), kerberos)
+else
+EXT_LIBS+= \
 	${LCAS_LIBS} \
 	${VOMS_LIBS}
+endif
 
 COMMON_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour} -lglite_security_gss${default_flavour} -lglite_lbu_trio -lglite_lbu_maildir -lglite_lbu_log
 
@@ -259,13 +291,15 @@
 MONDB_LIBS:=${COMMON_LIBS} ${LB_MACHINE_LIB} ${LB_UTILS_DB_LIB} ${EXT_LIBS} \
 	${EXPAT_LIBS} -lglite_lbu_trio -lglite_jobid
 
+ifeq (${GLITE_LB_SERVER_WITH_LCAS},yes)
 LCAS_PLUGIN_OBJS:=lcas_lb.o
 LCAS_PLUGIN_LOBJS:=${LCAS_PLUGIN_OBJS:.o=.lo}
 LCAS_PLUGIN_LIB:=liblcas_lb.la
+endif
 
 EXAMPLES=
 
-TESTS=test_coverage test_xml test_query_events test_soap_conv
+TESTS=test_coverage test_xml test_query_events test_soap_conv test_query_parse
 
 SCRIPTS=startup glite-lb-server-purge.cron glite-lb-proxy-purge.cron glite-lb-notif-keeper.cron
 SCRIPTS_SRC=$(addprefix ${top_srcdir}/config/,${SCRIPTS})
@@ -290,7 +324,7 @@
 	fi; \
 	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" ${top_srcdir}/config/$@ > $@
 
-check: compile test.xml test.query
+check: compile test.xml test.query test.query_parse
 	-echo check.query not complete yet
 
 test_coverage:
@@ -312,20 +346,3 @@
 #	${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl || \
 #	{ sleep 1 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
 #	{ sleep 4 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
-#	{ sleep 16 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; }
-
-LB.xh: ws_typemap.dat ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
-	${gsoap_bin_prefix}/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -I${stagedir}${prefix}/share/wsdl/glite-lb -o $@ ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
-
-test.xml: test_xml
-	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_xml
-
-test_xml: test_xml.cpp
-	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
-	${LINKXX} -o $@ test_xml.o lb_xml_parse.o ${LB_COMMON_LIB} ${CPPUNIT_LIBS} ${EXPAT_LIBS} -lglite_lbu_trio -lglite_jobid
-
-test.query: test_query_events
-	# XXX coredumps ./test_query_events
-
-#query_events_objs:=`echo ${BKSERVER_BASE_OBJS} |sed 's/bkserverd\.o//;s/db_store\.o//;s/stored_master\.o//;s/store\.o//;s/srv_purge\.o//;s/load\.o//;s/dump\.o//;s/lb_proto\.o//;s/lb_html\.o//;s/lb_http\.o//;'`
-
