=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.6 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.4.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
