=== debian/changelog ===
glite-lb-server (3.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 04 Feb 2013 21:22:02 +0100
