=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: glite-lb-server
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server
+Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server, glite-lb-client-progs, glite-lb-utils, glite-lbjp-common-log
 Description: gLite Logging and Bookkeeping server
  glite-lb-server is the gLite LB server. This package contains the LB server
  daemon (glite-lb-bkserverd) and a tool for rebuilding server indices
