## glite-lb-server 3.0.15

=== Makefile ===
--- 
+++ 
@@ -27,14 +27,14 @@
 version=${module.version}
 
 SOURCES=\
-	config/glite-lb* config/my.cnf config/*.conf config/startup config/setup config/systemd.* \
+	config/glite-lb* config/my.cnf config/*.conf config/startup config/startup.* config/setup config/systemd.* \
 	doc/*.1 doc/*.8 \
 	interface/*.h \
 	src/*.c src/*.cpp src/*.h src/*.c.T src/*.l src/*.y src/*.sh src/*.sh.in src/ws_typemap.dat \
 	project/.post* project/.pre* \
 	test/*.cpp test/*.cpp.T test/*.sh test/oneJob.qry test/*.c \
 	Makefile
-SOURCES_EXEC=config/glite-lb-migrate* config/startup config/setup src/*.sh test/*.sh
+SOURCES_EXEC=config/glite-lb-migrate* config/startup config/startup.* config/setup src/*.sh test/*.sh
 
 all: compile
 
@@ -114,7 +114,7 @@
 endif
 CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
 CLASSADS_LIBS?=${classads_libs} -lclassad
-classad_namespace:=${shell if ${classads_prefix}/bin/classad_version | grep -i 'classad namespace.*yes' >/dev/null; then echo yes; fi}
+classad_namespace:=${shell if ${classads_prefix}/bin/classad_version | grep -i 'classad namespace.*no' >/dev/null; then echo no; else echo yes; fi}
 ifeq (${classad_namespace},yes)
 CLASSADS_CFLAGS+=-DCLASSAD_NAMESPACE=classad::
 else
@@ -358,4 +358,3 @@
 
 lb_xml_parse.c: lb_xml_parse.c.T
 	rm -f $@
-	${AT3} $< >$@ || ( rm -f $@; false )
