=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-b_base=glite-lb-server
+p_base=glite-lb-server
 p_dbg=glite-lb-server-dbg
 
 -include /usr/share/dpkg/buildflags.mk
@@ -28,7 +28,7 @@
 clean: configure-stamp
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
+	rm -f configure-stamp build-stamp debian/glite-lb-bkserverd.init
 	$(MAKE) clean
 	rm -f Makefile.inc config.status *.spec
 	dh_clean
@@ -43,9 +43,11 @@
 	rm -vf debian/tmp/usr/lib/*.a
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-server-3.0.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-server-3.0.15 debian/$(p_base)/usr/share/doc/$(p_base)
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	rm -rf debian/tmp/etc/init.d
+	cp -p config/startup.debian.bkserverd debian/glite-lb-bkserverd.init
 
 binary-indep:
 
@@ -57,7 +59,7 @@
 	dh_installexamples
 	dh_installman
 	dh_installlogrotate
-	dh_installinit --onlyscripts --no-start
+	dh_installinit --name=glite-lb-bkserverd
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
