## glite-lb-server 3.0.16

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 SOURCES=\
 	config/glite-lb* config/my.cnf config/*.conf config/startup config/startup.* config/setup config/systemd.* \
@@ -61,13 +62,16 @@
 endif
 
 ifeq ($(os_type),debian)
-sysdefaultdir=${sysconfdir}/default
-else
-sysdefaultdir=${sysconfdir}/sysconfig
+sysdefaultdir?=${sysconfdir}/default
+else
+sysdefaultdir?=${sysconfdir}/sysconfig
 endif
 
 ifeq ($(os_type),fedora)
 unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
+mysqlconfdir?=${sysconfdir}/my.cnf.d
+else
+mysqlconfdir?=${sysconfdir}/mysql/conf.d
 endif
 
 GSOAP_FILES_PREFIX:= bk_ws_
@@ -154,9 +158,11 @@
 GSSAPI_GSI_CFLAGS=${GLOBUS_GSSAPI_GSI_CFLAGS}
 endif
 
-CFLAGS:= \
+CXXFLAGS?=${CFLAGS}
+
+CPPFLAGS:= \
 	${GSSAPI_GSI_CFLAGS} \
-	${WS_CFLAGS} ${DEBUG} \
+	${WS_CFLAGS} \
 	-DVERSION=\"${version}\" \
 	 ${GSOAP_CFLAGS} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
@@ -165,12 +171,12 @@
 	${LIBCARES_CFLAGS} \
 	${CLASSADS_CFLAGS} \
 	${VOMS_CFLAGS} \
-	${COVERAGE_FLAGS} \
 	$(GRIDSITE_CFLAGS) ${LCAS_CFLAGS} ${GSOAP_CFLAGS} \
 	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB \
-	${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
-
-CXXFLAGS:=${CFLAGS}
+	${GLITE_LBJP_COMMON_CFLAGS}
+
+CFLAGS:=${CPPFLAGS} ${DEBUG} ${COVERAGE_FLAGS} ${CFLAGS}
+CXXFLAGS:=${CPPFLAGS} ${DEBUG} ${COVERAGE_FLAGS} ${CXXFLAGS}
 
 ifdef LB_PROF
 	SRVBONES_LIB:= ${stagedir}${prefix}/${libdir}/libglite_lbu_server_bones.la
@@ -333,7 +339,7 @@
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' ${top_srcdir}/config/$@ > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' -e 's:@mysqlconfdir@:${mysqlconfdir}:' ${top_srcdir}/config/$@ > $@
 ifneq ($(os_type),debian)
 	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
 endif
@@ -353,8 +359,3 @@
 
 test_coverage:
 	-mkdir coverage
-	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
-	cd coverage && for i in `echo ${INDEX_OBJS} ${BKSERVER_OBJS} | tr ' ' '\012' | sort -u`; do gcov $$i ; done
-
-lb_xml_parse.c: lb_xml_parse.c.T
-	rm -f $@
