=== debian/changelog ===
glite-lb-server (3.0.16-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:48 +0100
